import request from '@/utils/request';
/**
 * 查询项目列表
 * @param query
 * @returns {*}
 */
export const listProjectInfo = (query) => {
    return request({
        url: '/jdyw/projectInfo/list',
        method: 'get',
        params: query
    });
};
/**
 * 查询项目信息详细
 * @param id
 */
export const getProjectInfo = (id) => {
    return request({
        url: '/jdyw/projectInfo/' + id,
        method: 'get'
    });
};

/**
 * 新增项目信息
 * @param data
 */
export const addProjectInfo = (data) => {
    return request({
        url: '/jdyw/projectInfo',
        method: 'post',
        data: data
    });
};

/**
 * 修改项目信息
 * @param data
 */
export const updateProjectInfo = (data) => {
    return request({
        url: '/jdyw/projectInfo',
        method: 'put',
        data: data
    });
};

/**
 * 删除项目信息
 * @param id
 */
export const delProjectInfo = (id: string | number | Array<string | number>) => {
    return request({
        url: '/jdyw/projectInfo/' + id,
        method: 'delete'
    });
};
